name: generate-keystore
on:
  workflow_dispatch:
jobs:
  gen:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - uses: actions/setup-java@v4
        with:
          distribution: temurin
          java-version: '17'
      - run: |
          keytool -genkeypair -v -keystore sune-keystore.jks -storepass ${{ secrets.KEYSTORE_PASS }} -keypass ${{ secrets.KEY_PASS }} -alias sune -keyalg RSA -keysize 2048 -validity 10000 -dname "CN=Sune"
      - run: |
          keytool -list -v -keystore sune-keystore.jks -storepass ${{ secrets.KEYSTORE_PASS }} -alias sune | sed -n "s/.*SHA256: //p" | head -n1 | tee sune-keystore.sha256
      - run: base64 sune-keystore.jks > sune-keystore.jks.base64
      - uses: actions/upload-artifact@v4
        with:
          name: sune-keystore
          path: |
            sune-keystore.jks
            sune-keystore.jks.base64
            sune-keystore.sha256
